Summary: 	A streaming web video browser and utilities.
Name: 		camserv
Version: 	0.5.1
Release: 	20050604
Group: 		System
Copyright: 	GPL
Source0: 	%{name}.tar.bz2
Source1:	rc.%{name}
Patch0:		%{name}.diff
Url: 		http://cserv.sourceforge.net
BuildRoot: 	/var/tmp/%{name}-%{version}-build

%description
cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/cserv co -P camserv

Configuration file is located in the /usr/share/camserv/ directory. It's
set for BTTV - V4L by aLinu default.

Add to your webpages: ... Say /home/webpages/default.htm 
<H1>Welcome To Xitami v2.5c7</H1>
<IMG SRC=http://localhost:9192> for your eyes only or add: 
<IMG SRC=http://static_dynamic:9192> for the entire world to see. Hint 
use 'ifconfig' or 'Linipcfg' to find your static or dynaic IP address. 
Thats it then reboot or start it with '/etc/init.d/rc.camserv start' and go
view http://127.0.0.1 which is localhost or add actual http://static_dynamic

Camserv is an extremely modular program for doing streaming video from your 
Unix machine to web clients.  Filters can be added for text on the displayed 
window, and anything else one wants to add. 

In addition portability to other unices should be incredibly easy given
the modularity of the camera plugin modules.

Utilities for camera broadcast webserver offloading are also included.

%prep
%setup -q -n %{name}
%patch0 -p0

%build
autogen.sh; make clean distclean
%configure --with-gzip --disable-static --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d; cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d && ln -sf ../../init.d/rc.camserv Kcamserv.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d && ln -sf ../../init.d/rc.camserv Scamserv.sh
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run; touch $RPM_BUILD_ROOT/var/run/camserv.pid

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}
%{_libdir}
%{_datadir}/camserv
%{_localstatedir}
